## org.eclipse.emf.ecore.xmi.impl
Class EMOFSaveImpl

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
          org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
              org.eclipse.emf.ecore.xmi.impl.EMOFSaveImpl

All Implemented Interfaces:
  XMLSave

    public class EMOFSaveImpl

extends XMISaveImpl

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl
`XMLSaveImpl.Escape, XMLSaveImpl.Lookup, XMLSaveImpl.XMLTypeInfoImpl`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLSave
`XMLSave.XMLTypeInfo`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
`XMI_ID_NS, XMI_TAG_NS, XMI_TYPE_NS, XMI_VER_NS, XMI_XMLNS, xmiType, xmiURI`

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`anySimpleType, anyType, ATTRIBUTE_FEATURE_MAP, CONTENT_ELEMENT, CROSS_DOC, currentNode, DATATYPE_ATTRIBUTE_MANY, DATATYPE_CONTENT_SINGLE, DATATYPE_ELEMENT_SINGLE, DATATYPE_MANY, DATATYPE_SINGLE, DATATYPE_SINGLE_NILLABLE, declareSchemaLocation, declareSchemaLocationImplementation, declareXML, declareXSI, doc, document, ELEMENT_FEATURE_MAP, EMPTY_ELEMENT, encoding, eObjectToExtensionMap, escape, escapeURI, extendedMetaData, featureTable, flushThreshold, handler, helper, idAttributeName, idAttributeNS, INDEX_LOOKUP, keepDefaults, map, nameInfo, OBJECT_ATTRIBUTE_IDREF_MANY, OBJECT_ATTRIBUTE_IDREF_SINGLE, OBJECT_ATTRIBUTE_MANY, OBJECT_ATTRIBUTE_SINGLE, OBJECT_CONTAIN_MANY, OBJECT_CONTAIN_MANY_UNSETTABLE, OBJECT_CONTAIN_SINGLE, OBJECT_CONTAIN_SINGLE_UNSETTABLE, OBJECT_ELEMENT_IDREF_MANY, OBJECT_ELEMENT_IDREF_SINGLE, OBJECT_ELEMENT_IDREF_SINGLE_UNSETTABLE, OBJECT_ELEMENT_MANY, OBJECT_ELEMENT_SINGLE, OBJECT_ELEMENT_SINGLE_UNSETTABLE, OBJECT_HREF_MANY, OBJECT_HREF_MANY_UNSETTABLE, OBJECT_HREF_SINGLE, OBJECT_HREF_SINGLE_UNSETTABLE, processDanglingHREF, resourceEntityHandler, root, roots, SAME_DOC, saveTypeInfo, SKIP, toDOM, TRANSIENT, useCache, useEncodedAttributeStyle, XML_VERSION, xmlResource, xmlSchemaTypePackage, xmlTypeInfo, xmlVersion, XSI_NIL, XSI_NO_NAMESPACE_SCHEMA_LOCATION, XSI_SCHEMA_LOCATION, XSI_TYPE_NS, XSI_XMLNS`

Constructor Summary
`EMOFSaveImpl(XMLHelper helper)`

Method Summary
`protected java.lang.String` `getDatatypeValue(java.lang.Object value, EStructuralFeature f, boolean isAttribute)`
`protected void` `saveContainedMany(EObject o, EStructuralFeature f)`
`protected void` `saveContainedSingle(EObject o, EStructuralFeature f)`
`protected void` `saveDataTypeElementSingle(EObject o, EStructuralFeature f)`
`protected void` `saveExtensionFeature(EObject o, EStructuralFeature f)`
`protected void` `saveTypeAttribute(EClass eClass)`
`protected boolean` `shouldSaveFeature(EObject o, EStructuralFeature f)`
`java.lang.Object` `writeTopObjects(java.util.List<? extends EObject> contents)`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMISaveImpl
`addNamespaceDeclarations, init, isDuplicateURI, saveFeatureMapElementReference`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLSaveImpl

`addDoctypeInformation, convertURI, endSave, endSaveFeatures, getContent, getDataTypeElementSingleSimple, getElementIDRefManySimple, getElementIDRefSingleSimple, getElementReferenceManySimple, getElementReferenceSingleSimple, getSchemaLocationRoot, isEmpty, isNil, processAttributeExtensions, processElementExtensions, sameDocMany, sameDocSingle, save, save, save, saveAttributeFeatureMap, saveDataTypeAttributeMany, saveDataTypeMany, saveDataTypeSingle, saveElement, saveElement, saveElement, saveElementFeatureMap, saveElementID, saveElementIDRef, saveElementIDRef, saveElementIDRefMany, saveElementIDRefSingle, saveElementReference, saveElementReferenceMany, saveElementReferenceSingle, saveEObjectMany, saveEObjectSingle, saveFeatures, saveHref, saveHRefMany, saveHRefSingle, saveIDRefMany, saveIDRefSingle, saveManyEmpty, saveManyEmpty, saveNil, saveNil, saveTypeAttribute, toChar, traverse, write, write, writeAscii, writeTopAttributes, writeTopElements, writeTopObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMOFSaveImpl

    public EMOFSaveImpl(XMLHelper helper)

Method Detail

### shouldSaveFeature

    protected boolean shouldSaveFeature(EObject o,
                                        EStructuralFeature f)

  Overrides:
    `shouldSaveFeature` in class `XMLSaveImpl`

### saveTypeAttribute

    protected void saveTypeAttribute(EClass eClass)

  Overrides:
    `saveTypeAttribute` in class `XMISaveImpl`

### saveDataTypeElementSingle

    protected void saveDataTypeElementSingle(EObject o,
                                             EStructuralFeature f)

  Overrides:
    `saveDataTypeElementSingle` in class `XMLSaveImpl`

### getDatatypeValue

    protected java.lang.String getDatatypeValue(java.lang.Object value,
                                                EStructuralFeature f,
                                                boolean isAttribute)

  Overrides:
    `getDatatypeValue` in class `XMLSaveImpl`

### saveExtensionFeature

    protected void saveExtensionFeature(EObject o,
                                        EStructuralFeature f)

### saveContainedSingle

    protected void saveContainedSingle(EObject o,
                                       EStructuralFeature f)

  Overrides:
    `saveContainedSingle` in class `XMLSaveImpl`

### saveContainedMany

    protected void saveContainedMany(EObject o,
                                     EStructuralFeature f)

  Overrides:
    `saveContainedMany` in class `XMLSaveImpl`

### writeTopObjects

    public java.lang.Object writeTopObjects(java.util.List<? extends EObject> contents)

  Overrides:
    `writeTopObjects` in class `XMISaveImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.